#description: gtkrawgallery drawingwand wrapper
from pythonmagickwand import color
from pythonmagickwand import api
from ctypes import c_double

class Drawingwand(object):

    	def __init__(self):
		self._wand = api.NewDrawingWand()
	
	def __del__(self):
		if self._wand:
            		self._wand = api.DestroyDrawingWand(self._wand)
			
	def draw_circle(self, ox, oy, px, py):
		api.DrawCircle(self._wand, c_double(ox), c_double(oy), c_double(px), c_double(py))
		
	def set_fill_color(self, color):
		api.DrawSetFillColor(self._wand, color._wand)
	
	
